Subject: Bug#992558: traps: apache2: general protection fault in libapr-1.so.0.7.0

From: curious_debian <[email-masked]>
Date: Fri, 20 Aug 2021 08:45:13 +0100

Package: apache2
Version: 2.4.48-3.1+deb11u1
Severity: normal

Dear Maintainer,

Just noticed apache2 crash in dmesg.

[62643.929073] traps: apache2[821205] general protection fault ip:7f80b42c9556
sp:7ffeb6193880 error:0 in libapr-1.so.0.7.0[7f80b42b3000+22000]

I have freshly installed apache2, nothing is running on it, literally just a
"webpage under maintenance" index. But with TLS configured via letsencrypt.
Also system is freshly upgraded from buster, however, entire apache2 has been
nuked and reinstalled from the scratch, so it should be very clean, apart from
TLS config which I put back as it was before upgrade.

This is my 000-default.conf file (minus comments which I deleted)

<VirtualHost *:80>
        RewriteEngine on
        #RewriteCond %{SERVER_NAME} =ttbit.mine.bz
        #RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI}
[END,QSA,R=permanent]
        RewriteCond %{HTTPS} off
        RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R]
</VirtualHost>

<IfModule mod_ssl.c>
SSLStaplingCache shmcb:/var/run/apache2/stapling_cache(128000)
<VirtualHost *:443>
        ServerAdmin webmaster@localhost
        DocumentRoot /var/www/html

        ErrorLog ${APACHE_LOG_DIR}/error.log
        CustomLog ${APACHE_LOG_DIR}/access.log combined

        ServerName mywebsitename
        Include /etc/letsencrypt/options-ssl-apache.conf
        Header always set Strict-Transport-Security "max-age=63072000;
includeSubdomains; preload"
        SSLCertificateFile /etc/letsencrypt/live/mywebsitename/fullchain.pem
        SSLCertificateKeyFile /etc/letsencrypt/live/mywebsitename/privkey.pem
        SSLUseStapling on
</VirtualHost>
</IfModule>

-- Package-specific info:

-- System Information:
Debian Release: 11.0
  APT prefers stable-security
  APT policy: (500, 'stable-security'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.10.0-8-amd64 (SMP w/16 CPU threads)
Kernel taint flags: TAINT_CPU_OUT_OF_SPEC
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages apache2 depends on:
ii  apache2-bin          2.4.48-3.1+deb11u1
ii  apache2-data         2.4.48-3.1+deb11u1
ii  apache2-utils        2.4.48-3.1+deb11u1
ii  dpkg                 1.20.9
ii  init-system-helpers  1.60
ii  lsb-base             11.1.0
ii  mime-support         3.66
ii  perl                 5.32.1-4+deb11u1
ii  procps               2:3.3.17-5

Versions of packages apache2 recommends:
ii  ssl-cert  1.1.0+nmu1

Versions of packages apache2 suggests:
pn  apache2-doc                                      <none>
pn  apache2-suexec-pristine | apache2-suexec-custom  <none>
ii  firefox-esr [www-browser]                        78.13.0esr-1~deb11u1
ii  lynx [www-browser]                               2.9.0dev.6-3~deb11u1

Versions of packages apache2-bin depends on:
ii  libapr1                  1.7.0-6
ii  libaprutil1              1.6.1-5
ii  libaprutil1-dbd-sqlite3  1.6.1-5
ii  libaprutil1-ldap         1.6.1-5
ii  libbrotli1               1.0.9-2+b2
ii  libc6                    2.31-13
ii  libcrypt1                1:4.4.18-4
ii  libcurl4                 7.74.0-1.3+b1
ii  libjansson4              2.13.1-1.1
ii  libldap-2.4-2            2.4.57+dfsg-3
ii  liblua5.3-0              5.3.3-1.1+b1
ii  libnghttp2-14            1.43.0-1
ii  libpcre3                 2:8.39-13
ii  libssl1.1                1.1.1k-1
ii  libxml2                  2.9.10+dfsg-6.7
ii  perl                     5.32.1-4+deb11u1
ii  zlib1g                   1:1.2.11.dfsg-2

Versions of packages apache2-bin suggests:
pn  apache2-doc                                      <none>
pn  apache2-suexec-pristine | apache2-suexec-custom  <none>
ii  firefox-esr [www-browser]                        78.13.0esr-1~deb11u1
ii  lynx [www-browser]                               2.9.0dev.6-3~deb11u1

Versions of packages apache2 is related to:
ii  apache2      2.4.48-3.1+deb11u1
ii  apache2-bin  2.4.48-3.1+deb11u1

-- Configuration Files:
/etc/apache2/sites-available/000-default.conf changed [not included]

-- no debconf information